<?
    require('header-mn90.php3');
    topHeader();
    print("<body>\n");
    secondHeader( "Calcul des tables MN90");
?>
<hr><br>

<form method="POST" action="" ENCTYPE="multipart/form-data">

<font size=3 face=\"Comic Sans MS\"  color=\"blue\">

Calcul de paliers MN90<br>

<font size=2 face=\"Comic Sans MS\"  color=\"blue\">
<br>
Units et valeurs:<br>
- la densit de l'eau douce est de 1.0 Kg/l<br>
- la densit de l'eau de mer est en gnral aux environs de 1.02 Kg/l<br>
- l'altitude au niveau de la mer est 0m<br>
- les pressions et tensions sont en Pascal ( 1Bar = 1.e5Pa )<br>
<br>
Remarques:<br>
  Certains dtails du calcul ne sont peut tre pas exactement ceux utiliss pour 
  les <a href="doctrmn2.pdf">tables mn90</a>, mais comme je n'ai aucun document concernant leur fabrication,
   part les priodes et coefficients de sursaturation critique, j'ai programm ce 
  qui me paraisait le plus logique. Et marche globalement, mais avec parfois quelques 
  petites diffrences qui s'explique certainement par des choix diffrents sur l'application
  des arrondis et autres approximations.
</font>
<br><br>

<hr>

Calcul pour une plonge : dfinition des paramtres de la plonge :<br>
<br>
<font size=2 face=\"Comic Sans MS\"  color=\"blue\">
Remarque: Tous les paramtres ci-dessous ont une influence sur les rsultats du calcul. Les
paliers ainsi calculs ne sont valables que dans ces conditions exactes.
</font>
<br><br>
Profondeur max de la plonge: <INPUT TYPE="TEXT" SIZE="6" VALUE="" NAME="prof"> m<BR>
Dure en mn de la plonge   : <INPUT TYPE="TEXT" SIZE="6" VALUE="" NAME="duree"> mn<BR>

Altitude du site de plonge : <INPUT TYPE="TEXT" SIZE="6" VALUE="0." NAME="alti"> m<BR>
Densit de l'eau       : <INPUT TYPE="TEXT" SIZE="6" VALUE="1.015" NAME="dens"> Kg/l<BR>

GPS plonge prcdente      : <INPUT TYPE="TEXT" SIZE="1" VALUE="" NAME="gps"> (lettre de A  P)<BR>
Intervalle avec la plonge prcdente en h: <INPUT TYPE="TEXT" SIZE="6" VALUE="" NAME="it"> (ex:1h15 = 1.25)<BR>


Pression atmosphrique au niveau de la mer : <INPUT TYPE="TEXT" SIZE="6" VALUE="0.970" NAME="patm"> bar<BR>
Vitesse de remonte                        : <INPUT TYPE="TEXT" SIZE="6" VALUE="15." NAME="vr"> m/mn<BR>
Pourcentage d'azote de l'air respir       : <INPUT TYPE="TEXT" SIZE="6" VALUE="79.03" NAME="pcn2"> pourcents<BR>
Ecart entre les paliers                    : <INPUT TYPE="TEXT" SIZE="6" VALUE="3.0" NAME="deltap"> m<BR>
Verbose                                    : <INPUT TYPE="checkbox" NAME="verbose" VALUE="-v"><BR>
<br>
<INPUT TYPE="SUBMIT" NAME="simple" VALUE="Lancer le calcul"><BR>

</font>
</form>

<?
/* ---------------------------------------------------------------------------- */
/* ---------------------------------------------------------------------------- */
/*
	procedure de lancement d'un calcul de palier MN90
*/

if( isset($simple) && isset($prof) && $prof!="" && isset($duree) && $duree!="" ) {

   /*
   print("Execution du calcul avec les valeurs suivantes :<br>\n");
   
   print( "Profondeur: " . $prof . "<br>");
   print( "Dure: " . $duree . "<br>");
   print( "Altitude: " . $alti . "<br>");
   print( "Densit de l'eau: " . $dens . "<br>");
   print( "GPS: " . $gps . "<br>");
   print( "Intervalle: " . $it . "<br>");
   
   print( "Pression atmosphrique: " . $patm . "<br>");
   print( "Vitesse de remonte: " . $vr . "<br>");
   print( "% N2: " . $pcn2 . "<br>");
   print( "Delta Paliers: " . $deltap . "<br>");
   */
   if(!isset($verbose)) $verbose="";
   $opt_alti="";  $opt_dens=""; $opt_gps=""; $opt_it=""; $opt_patm="";  $opt_vr="";  $opt_pcn2="";  $opt_deltap=""; 
   if($alti!="")  $opt_alti="-a" ;
   if($dens!="")  $opt_dens="-d";
   if($gps !="")  $opt_gps ="-gps";
   if($it  !="")  $opt_it  ="-it";
   if($patm!="")  $opt_patm ="-pa";
   if($vr  !="")  $opt_vr  ="-vr";
   if($pcn2!="")  $opt_pcn2="-n2";
   if($deltap!="")  $opt_deltap="-dp";

   $processcmd = "D:\prjtests\mn90\mn90.exe -p $prof -t $duree $opt_alti $alti $opt_dens $dens $opt_gps $gps $opt_it $it $opt_patm $patm $opt_vr $vr $opt_pcn2 $pcn2 $opt_deltap $deltap $verbose";

   // print($processcmd . "<br>\n");

   print("<PRE>\n");
   exec ($processcmd, $processstrs, $ret);
   for($i=0;$i<count($processstrs);$i++)
      print($processstrs[$i] . "\n");
   print("</PRE><br>\n");
}

/* ---------------------------------------------------------------------------- */
/* ---------------------------------------------------------------------------- */
/*
	Erreur calcul palier simple
*/

else if (isset($simple)) {

   print("Lancement impossible, donnes manquantes: profondeur et dure sont obligatoires<br>\n");

   print( "Profondeur: " . $prof . "<br>");
   print( "Dure: " . $duree . "<br>");
   print( "Altitude: " . $alti . "<br>");
   print( "Densit de l'eau: " . $dens . "<br>");

   print( "GPS: " . $gps . "<br>");
   print( "Intervalle: " . $it . "<br>");

   print( "Pression atmosphrique: " . $patm . "<br>");
   print( "Vitesse de remonte: " . $vr . "<br>");
   print( "% N2: " . $pcn2 . "<br>");
   print( "Delta Paliers: " . $deltap . "<br>");

}
?>

<hr><br>

<form method="POST" action="" ENCTYPE="multipart/form-data">

<font size=3 face=\"Comic Sans MS\"  color=\"blue\">

Calcul d'une table MN90 complte<br>
<br>
<font size=2 face=\"Comic Sans MS\"  color=\"blue\">
Remarque: Tous les paramtres ci-dessous ont une influence sur les rsultats du calcul. La table Mn90
ainsi calcules n'est valable que dans ces conditions exactes.
</font>
<br><br>

Dfinition des paramtres de la table :<br>

Altitude du site de plonge : <INPUT TYPE="TEXT" SIZE="6" VALUE="0." NAME="alti"> m<BR>
Densit de l'eau            : <INPUT TYPE="TEXT" SIZE="6" VALUE="1.015" NAME="dens"> Kg/l<BR>

GPS plonge prcdente      : <INPUT TYPE="TEXT" SIZE="1" VALUE="" NAME="gps"> (lettre de A  P)<BR>
Intervalle avec la plonge prcdente en h: <INPUT TYPE="TEXT" SIZE="6" VALUE="" NAME="it"> (ex:1h15 = 1.25)<BR>

Pression atmosphrique au niveau de la mer : <INPUT TYPE="TEXT" SIZE="6" VALUE="0.970" NAME="patm"> bar<BR>
Vitesse de remonte                        : <INPUT TYPE="TEXT" SIZE="6" VALUE="15." NAME="vr"> m/mn<BR>
Pourcentage d'azote de l'air respir       : <INPUT TYPE="TEXT" SIZE="6" VALUE="79.03" NAME="pcn2"> pourcent<BR>
Ecart entre les paliers                    : <INPUT TYPE="TEXT" SIZE="6" VALUE="3.0" NAME="deltap"> m<BR>
<!-- Verbose                                    : <INPUT TYPE="checkbox" NAME="verbose" VALUE="-v"><BR> -->
<br>
<INPUT TYPE="SUBMIT" NAME="mn90" VALUE="Lancer le calcul"><BR>
</font>
</form>

<?
/* ---------------------------------------------------------------------------- */
/* ---------------------------------------------------------------------------- */
/*
	procedure de lancement de l'ensemble de la table
*/
if (isset($mn90)) {
   /*
   print("Execution du calcul avec les valeurs suivantes :<br>\n");

   print( "Altitude: " . $alti . "<br>");
   print( "Densit de l'eau: " . $dens . "<br>");

   print( "GPS: " . $gps . "<br>");
   print( "Intervalle: " . $it . "<br>");

   print( "Pression atmosphrique: " . $patm . "<br>");
   print( "Vitesse de remonte: " . $vr . "<br>");
   print( "% N2: " . $pcn2 . "<br>");
   print( "Delta Paliers: " . $deltap . "<br>");
   */
   if(!isset($verbose)) $verbose="";
   $opt_alti="";  $opt_dens=""; $opt_gps=""; $opt_it="";  $opt_patm="";  $opt_vr="";  $opt_pcn2="";  $opt_deltap=""; 
   if($alti!="")  $opt_alti="-a" ;
   if($dens!="")  $opt_dens="-d";
   if($gps !="")  $opt_gps ="-gps";
   if($it  !="")  $opt_it  ="-it";
   if($patm!="")  $opt_patm ="-patm";
   if($vr  !="")  $opt_vr  ="-vr";
   if($pcn2!="")  $opt_pcn2="-n2";
   if($deltap!="")  $opt_deltap="-dp";

   $processcmd = "D:\prjtests\mn90\mn90.exe -mn90 $opt_alti $alti $opt_dens $dens $opt_gps $gps $opt_it $it $opt_patm $patm $opt_vr $vr $opt_pcn2 $pcn2 $opt_deltap $deltap $verbose";

   // print($processcmd . "<br>\n");
   
   print("<PRE>\n");
   exec ($processcmd, $processstrs, $ret);
   for($i=0;$i<count($processstrs);$i++)
      print($processstrs[$i] . "\n");
   print("</PRE><br>\n");
}

/* ---------------------------------------------------------------------------- */
/* ---------------------------------------------------------------------------- */

else {
	
   // print("Page initiale<br>\n");

}

/* ---------------------------------------------------------------------------- */
/* ---------------------------------------------------------------------------- */
?>
<hr><br>

<? commonFooter(""); ?>
